Subject: Re: bug#32047: 26.1; Misleading/confusing text about `C-k' in TUTORIAL

From: Filipp Gunbin <[email-masked]>
Date: Thu, 12 Jul 2018 19:06:25 +0300

On 11/07/2018 16:45 -0400, N. Jackson wrote:

> Perhaps you did not read the OP [1]. There's nothing special
> about the beginning of the line when using C-k to kill the rest
> of the line, but when C-k is used to "kill the contents of the
> line" -- as it is in the example -- then point must be at the
> beginning of the line.
>
> The writer of the Tutorial makes an assumption that point is at
> the beginning of the line without telling the reader of that
> assumption.
>
>
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32047#5

Ah, it's about "contents of the whole line" vs. "contents of the line
from point to end of line".

Anyway, I'd read that "Note that a single C-k..." as an additional note
about the actions the user just did, so there is context.  Otherwise,
it'd start just with "A single C-k...".

Filipp